Ticket #35577

JTalk での英文字列のローマ字式読み付与

Open Date: 2015-09-30 20:04 Last Update: 2016-02-13 14:17

Reporter: nishimoto Owner: nishimoto
Type: Patches Status: Closed
Component: 音声合成 MileStone: 2016.1jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

JTalk ではアルファベット文字列にローマ字式の読み付与を行うために、 テキスト解析の辞書にローマ字らしい読みを与えて文字列の断片を登録しています。 しかし本来の英単語の解析に悪影響が出ることが多いので、 この方式をやめる方向性で現在は作業をしています。

そのかわりに、テキスト解析の結果でアルファベット文字列が未知語になった場合に、 ローマ字的な読み付与を行うアルゴリズムを実装したいと考えています。

Attachment File List

No attachments

Ticket History (3/6 Histories)

2015-09-30 20:04 Updated by: nishimoto
  • New Ticket "JTalk での英文字列のローマ字式読み付与" created
2015-12-13 19:39 Updated by: nishimoto
  • Resolution Update from None to Accepted
2015-12-14 10:03 Updated by: nishimoto
  • Milestone Update from (None) to 2016.1jp (closed)
  • Resolution Update from Accepted to Fixed
Comment

つぎの日本語ベータ版でリリースしてみます。

2015-12-15 13:53 Updated by: nishimoto
Comment

2016.1jp-beta-151214 では 2kana のように数字に後続する英文字列で期待通りに読み付与していなかったので、 次のベータ版で修正する予定。

2015-12-17 21:07 Updated by: nishimoto
Comment

151217 で git が「ギット」と読めるようになった。 なぜか UI Automation がちゃんと読めていない。 nvaccess は「エヌブイアクセス」と辞書登録したほうがよいか。。

2016-02-13 14:17 Updated by: nishimoto
  • Ticket Close date is changed to 2016-02-13 14:17
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login